Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## toolkit.db.api
Class TableInfo

    java.lang.Object
      toolkit.db.api.TableInfo

    public class TableInfo

extends java.lang.Object

A infomation package of table

Method Summary
`boolean` | `equals(java.lang.Object obj)` Compares this TableInfo to the specified object.
`java.lang.String` | `getCatalogName()` Get the catalog name of this TableInfo.
`java.lang.String` | `getCorrelationName()` Get the correlation name of this TableInfo.
`java.lang.String` | `getMappingName()` Get the mapping name of this TableInfo.
`java.lang.String` | `getSchemaName()` Get the chema name of this TableInfo.
`java.lang.String` | `getTableName()` Get the table name of this TableInfo.
`java.lang.String` | `toString()` Returns a string representation of this TableInfo's values.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getMappingName

    public java.lang.String getMappingName()

  Get the mapping name of this TableInfo.

  Returns:
    mapping name of table.

### getTableName

    public java.lang.String getTableName()

  Get the table name of this TableInfo.

  Returns:
    table name of table.

### getCorrelationName

    public java.lang.String getCorrelationName()

  Get the correlation name of this TableInfo.

  Returns:
    correlaion name of table.

### getSchemaName

    public java.lang.String getSchemaName()

  Get the chema name of this TableInfo.

  Returns:
    schema name of table.

### getCatalogName

    public java.lang.String getCatalogName()

  Get the catalog name of this TableInfo.

  Returns:
    catalog name of table.

### equals

    public boolean equals(java.lang.Object obj)

  Compares this TableInfo to the specified object.

  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    true if the TableInfo are equal; false otherwise.

### toString

    public java.lang.String toString()

  Returns a string representation of this TableInfo's values. The format is as follows:

  >       className@hashCode[ mappingName | tableName | correlationName | schemaName |
  >                           catalogName ]

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of this TableInfo.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD